## Versioning

[Semantic Versioning](http://semver.org/) is used. Any release that makes a change that is not a regression from the previously release should be a minor release. 

## Creating a Release

1. Create a `release/x.x.x` branch off of master.
2. Add features or fix bugs. See sections below.
3. Assign at least one reviewer other than yourself to the Pull Request.

## Create a Release

### Update `readme.txt`

[Add a meaningful list of changes](https://github.com/Astoundify/wp-job-manager-listing-labels/blob/master/readme.txt#L31) made in the new release.

### Bump Version Number

3 files need a version bump:

- [readme.txt](https://github.com/Astoundify/wp-job-manager-listing-labels/blob/master/readme.txt#L5)
- [package.json](https://github.com/Astoundify/wp-job-mangager-listing-labels/blob/master/package.json#L3)
- [wp-job-mangager-listing-labels](https://github.com/Astoundify/wp-job-mangager-listing-labels/blob/master/wp-job-mangager-listing-labels.php#L6)
- [wp-job-mangager-listing-labels](https://github.com/Astoundify/wp-job-mangager-listing-labels/blob/master/wp-job-mangager-listing-labels.php#L59)

### Generate Build

From a clean working directory:

```
$ npm install
$ npm run setup
$ npm run dist
```

### Tag Release

[Create a new release on Github](https://github.com/Astoundify/wp-job-mangager-listing-labels/releases/new) and upload the generated binary.